FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 10-25-2010, 05:37 AM
Iain Buchanan
 
Default vmware - help

Hi all, looking for some serious vmware debugging help! I've had
vmware-workstation working for ages, but sometime this year (ok I use it
sporadically!) it's stopped. I don't know if its the old GTK issue or
what. No google searches has found anything similar, although I've
tried a lot of suggestions I found anyway. Most recently I've
recompiled the kernel, modules and workstation.

I currently using workstation 6.5.4.246459 with tuxonice sources 2.6.35
and modules 1.0.0.25-r1

This is what happens if I run with the shipped_gtk option:

$ VMWARE_USE_SHIPPED_GTK=force vmware
Logging to /tmp/vmware-iain/setup-14963.log
/usr/share/themes/Unity/gtk-2.0/gtkrc:67: error: unexpected identifier
`colorize_scrollbar', expected character `}'
/opt/vmware/workstation/bin/vmware: line 31: 14963 Segmentation fault
"$BINDIR"/vmware-modconfig --appname="VMware Workstation"
--icon="vmware-workstation"

I think the gtkrc error is a red herring, but I'm willing to try any
theme engine and theme you suggest

and the force option:

$ vmware
Logging to /tmp/vmware-iain/setup-15540.log
filename: /lib/modules/2.6.35-tuxonice/misc/vmmon.ko
supported: external
license: GPL v2
description: VMware Virtual Machine Monitor.
author: VMware, Inc.
depends:
vermagic: 2.6.35-tuxonice SMP preempt mod_unload CORE2 4KSTACKS
filename: /lib/modules/2.6.35-tuxonice/misc/vmnet.ko
supported: external
license: GPL v2
description: VMware Virtual Networking Driver.
author: VMware, Inc.
depends:
vermagic: 2.6.35-tuxonice SMP preempt mod_unload CORE2 4KSTACKS
filename: /lib/modules/2.6.35-tuxonice/misc/vmblock.ko
supported: external
version: 1.1.2.0
license: GPL v2
description: VMware Blocking File System
author: VMware, Inc.
srcversion: AD9C87216C830F9C343F8E3
depends:
vermagic: 2.6.35-tuxonice SMP preempt mod_unload CORE2 4KSTACKS
parm: root:The directory the file system redirects to. (charp)
filename: /lib/modules/2.6.35-tuxonice/misc/vmci.ko
supported: external
supported: external
license: GPL v2
description: VMware Virtual Machine Communication Interface (VMCI).
author: VMware, Inc.
depends:
vermagic: 2.6.35-tuxonice SMP preempt mod_unload CORE2 4KSTACKS
filename: /lib/modules/2.6.35-tuxonice/misc/vsock.ko
supported: external
license: GPL v2
version: 1.0.0.0
description: VMware Virtual Socket Family
author: VMware, Inc.
srcversion: 5930B98648580F723B86142
depends: vmci
vermagic: 2.6.35-tuxonice SMP preempt mod_unload CORE2 4KSTACKS
filename: /lib/modules/2.6.35-tuxonice/misc/vmmon.ko
supported: external
license: GPL v2
description: VMware Virtual Machine Monitor.
author: VMware, Inc.
depends:
vermagic: 2.6.35-tuxonice SMP preempt mod_unload CORE2 4KSTACKS
*** glibc detected *** /opt/vmware/workstation/lib/vmware/bin/vmware:
malloc(): memory corruption: 0x0959b1a0 ***
======= Backtrace: =========
/lib/libc.so.6(+0x6ba71)[0xb4d1aa71]
/lib/libc.so.6(+0x6e88b)[0xb4d1d88b]
/lib/libc.so.6(__libc_calloc+0xab)[0xb4d1ec1b]
//usr/lib/opengl/nvidia/lib/libGL.so.1(+0x82fa8)[0xb4b67fa8]
/usr/lib/libglib-2.0.so.0(g_hash_table_new_full+0x87)[0xb72b9d87]
/opt/vmware/workstation/lib/vmware/lib/libvmwareui.so.0/libvmwareui.so.0(+0x44bd45)[0xb55efd45]
/opt/vmware/workstation/lib/vmware/lib/libvmwarebase.so.0/libvmwarebase.so.0(Poll_InitWithImpl+0x1d)[0xb5e6600d]
/opt/vmware/workstation/lib/vmware/lib/libvmwareui.so.0/libvmwareui.so.0(Poll_InitGtk+0x20)[0xb55ef7d0]
/opt/vmware/workstation/lib/vmware/bin/vmware(_ZN3lui13ManageableDlgD0Ev
+0x33b)[0x80aa967]
/lib/libc.so.6(__libc_start_main+0xe6)[0xb4cc5cc6]
/opt/vmware/workstation/lib/vmware/bin/vmware(_ZN3Gtk9TreeModelD1Ev
+0x75)[0x80aa7d1]
======= Memory map: ========
08048000-083d2000 r-xp 00000000 08:07
5509263 /opt/vmware/workstation/lib/vmware/bin/vmware
083d2000-083d6000 rw-p 0038a000 08:07
5509263 /opt/vmware/workstation/lib/vmware/bin/vmware
083d6000-083da000 rw-p 00000000 00:00 0
09573000-095b5000 rw-p 00000000 00:00 0 [heap]
b3000000-b3021000 rw-p 00000000 00:00 0
b3021000-b3100000 ---p 00000000 00:00 0
b31d9000-b31dd000 rw-p 00000000 00:00 0
b31dd000-b3302000 r-xp 00000000 08:07
4080101 /opt/vmware/workstation/lib/vmware/lib/libcrypto.so.0.9.8/libcrypto.so.0.9.8
b3302000-b3317000 rw-p 00125000 08:07
4080101 /opt/vmware/workstation/lib/vmware/lib/libcrypto.so.0.9.8/libcrypto.so.0.9.8
b3317000-b331b000 rw-p 00000000 00:00 0
b331b000-b335b000 r-xp 00000000 08:07
4342037 /opt/vmware/workstation/lib/vmware/lib/libssl.so.0.9.8/libssl.so.0.9.8
b335b000-b335f000 rw-p 0003f000 08:07
4342037 /opt/vmware/workstation/lib/vmware/lib/libssl.so.0.9.8/libssl.so.0.9.8
b335f000-b336f000 r-xp 00000000 08:07 5228442 /lib/libbz2.so.1.0.6
b336f000-b3370000 r--p 0000f000 08:07 5228442 /lib/libbz2.so.1.0.6
b3370000-b3371000 rw-p 00010000 08:07 5228442 /lib/libbz2.so.1.0.6
b3371000-b4837000 r-xp 00000000 08:07
11337752 /usr/lib/libnvidia-glcore.so.256.53
b4837000-b488e000 rwxp 014c6000 08:07
11337752 /usr/lib/libnvidia-glcore.so.256.53
b488e000-b489e000 rwxp 00000000 00:00 0
b489e000-b489f000 r-xp 00000000 08:07
4276300 /usr/lib/opengl/nvidia/lib/libnvidia-tls.so.256.53
b489f000-b48a0000 rw-p 00000000 08:07
4276300 /usr/lib/opengl/nvidia/lib/libnvidia-tls.so.256.53
b48a0000-b48a1000 rw-p 00000000 00:00 0
b48a1000-b48e1000 r-xp 00000000 08:07
4690655 /opt/vmware/workstation/lib/vmware/lib/libcurl.so.4/libcurl.so.4
b48e1000-b48e3000 rw-p 0003f000 08:07
4690655 /opt/vmware/workstation/lib/vmware/lib/libcurl.so.4/libcurl.so.4
b48e3000-b48ef000 r-xp 00000000 08:07 10698767 /usr/lib/libEGL.so.1.0
b48ef000-b48f0000 r--p 0000c000 08:07 10698767 /usr/lib/libEGL.so.1.0
b48f0000-b48f1000 rw-p 0000d000 08:07 10698767 /usr/lib/libEGL.so.1.0
b48f1000-b48f2000 rw-p 00000000 00:00 0
b48f2000-b4929000 r-xp 00000000 08:07
5556889 /usr/lib/libcroco-0.6.so.3.0.1
b4929000-b492c000 rw-p 00036000 08:07
5556889 /usr/lib/libcroco-0.6.so.3.0.1
b492c000-b4961000 r-xp 00000000 08:07
5852105 /usr/lib/libgsf-1.so.114.0.19
b4961000-b4963000 r--p 00034000 08:07
5852105 /usr/lib/libgsf-1.so.114.0.19
b4963000-b4964000 rw-p 00036000 08:07
5852105 /usr/lib/libgsf-1.so.114.0.19
b4964000-b4965000 rw-p 00000000 00:00 0
b4965000-b496b000 r-xp 00000000 08:07
6458262 /usr/lib/libgailutil.so.18.0.1
b496b000-b496c000 r--p 00006000 08:07
6458262 /usr/lib/libgailutil.so.18.0.1
b496c000-b496d000 rw-p 00007000 08:07
6458262 /usr/lib/libgailutil.so.18.0.1
b496d000-b4a07000 r-xp 00000000 08:07
5360990 /usr/lib/libgiomm-2.4.so.1.3.0
b4a07000-b4a0e000 r--p 00099000 08:07
5360990 /usr/lib/libgiomm-2.4.so.1.3.0
b4a0e000-b4a10000 rw-p 000a0000 08:07
5360990 /usr/lib/libgiomm-2.4.so.1.3.0
b4a10000-b4a11000 rw-p 00000000 00:00 0
b4a11000-b4a21000 r-xp 00000000 08:07
5587083 /lib/libresolv-2.12.1.so
b4a21000-b4a22000 r--p 00010000 08:07
5587083 /lib/libresolv-2.12.1.so
b4a22000-b4a23000 rw-p 00011000 08:07
5587083 /lib/libresolv-2.12.1.so
b4a23000-b4a25000 rw-p 00000000 00:00 0
b4a25000-b4abc000 r-xp 00000000 08:07
12059036 /usr/lib/libgio-2.0.so.0.2400.2
b4abc000-b4abd000 ---p 00097000 08:07
12059036 /usr/lib/libgio-2.0.so.0.2400.2
b4abd000-b4abe000 r--p 00097000 08:07
12059036 /usr/lib/libgio-2.0.so.0.2400.2
b4abe000-b4abf000 rw-p 00098000 08:07
12059036 /usr/lib/libgio-2.0.so.0.2400.2
b4abf000-b4ac0000 rw-p 00000000 00:00 0
b4ac0000-b4ae3000 r-xp 00000000 08:07
5165386 /usr/lib/libpng14.so.14.4.0
b4ae3000-b4ae4000 r--p 00023000 08:07
5165386 /usr/lib/libpng14.so.14.4.0
b4ae4000-b4ae5000 rw-p 00024000 08:07
5165386 /usr/lib/libpng14.so.14.4.0
b4ae5000-b4b84000 r-xp 00000000 08:07
4276296 /usr/lib/opengl/nvidia/lib/libGL.so.256.53
b4b84000-b4ba1000 rwxp 0009e000 08:07
4276296 /usr/lib/opengl/nvidia/lib/libGL.so.256.53
b4ba1000-b4bb0000 rwxp 00000000 00:00 0
b4bb0000-b4bb1000 rw-p 00000000 00:00 0
b4bb1000-b4bd8000 r-xp 00000000 08:07
5473593 /usr/lib/libglitz.so.1.0.0
b4bd8000-b4bd9000 rw-p 00026000 08:07
5473593 /usr/lib/libglitz.so.1.0.0
b4bd9000-b4bdf000 r-xp 00000000 08:07
5473605 /usr/lib/libglitz-glx.so.1.0.0
b4bdf000-b4be0000 rw-p 00005000 08:07
5473605 /usr/lib/libglitz-glx.so.1.0.0
b4be0000-b4c2c000 r-xp 00000000 08:07
5312233 /usr/lib/libpixman-1.so.0.18.4
b4c2c000-b4c2e000 r--p 0004b000 08:07
5312233 /usr/lib/libpixman-1.so.0.18.4
b4c2e000-b4c2f000 rw-p 0004d000 08:07
5312233 /usr/lib/libpixman-1.so.0.18.4
b4c2f000-b4c31000 r-xp 00000000 08:07
5246219 /usr/lib/libXdamage.so.1.1.0
b4c31000-b4c32000 r--p 00001000 08:07
5246219 /usr/lib/libXdamage.so.1.1.0
b4c32000-b4c33000 rw-p 00002000 08:07
5246219 /usr/lib/libXdamage.so.1.1.0
b4c33000-b4c35000 r-xp 00000000 08:07
5342434 /usr/lib/libXcomposite.so.1.0.0
b4c35000-b4c36000 r--p 00001000 08:07
5342434 /usr/lib/libXcomposite.so.1.0.0
b4c36000-b4c37000 rw-p 00002000 08:07
5342434 /usr/lib/libXcomposite.so.1.0.0
b4c37000-b4c38000 rw-p 00000000 00:00 0
b4c38000-b4c3f000 r-xp 00000000 08:07 5587263 /lib/librt-2.12.1.so
b4c3f000-b4c40000 r--p 00006000 08:07 5587263 /lib/librt-2.12.1.so
b4c40000-b4c41000 rw-p 00007000 08:07 5587263 /lib/librt-2.12.1.so
b4c41000-b4c65000 r-xp 00000000 08:07
5657005 /usr/lib/libexpat.so.1.5.2
b4c65000-b4c66000 ---p 00024000 08:07
5657005 /usr/lib/libexpat.so.1.5.2
b4c66000-b4c68000 r--p 00024000 08:07
5657005 /usr/lib/libexpat.so.1.5.2
b4c68000-b4c69000 rw-p 00026000 08:07
5657005 /usr/lib/libexpat.so.1.5.2
b4c69000-b4c6b000 r-xp 00000000 08:07 5587078 /lib/libdl-2.12.1.so
b4c6b000-b4c6c000 r--p 00001000 08:07 5587078 /lib/libdl-2.12.1.so
b4c6c000-b4c6d000 rw-p 00002000 08:07 5587078 /lib/libdl-2.12.1.so
b4c6d000-b4c86000 r-xp 00000000 08:07
5357849 /usr/lib/libxcb.so.1.1.0
b4c86000-b4c87000 r--p 00018000 08:07
5357849 /usr/lib/libxcb.so.1.1.0
b4c87000-b4c88000 rw-p 00019000 08:07
5357849 /usr/lib/libxcb.so.1.1.0
b4c88000-b4c89000 rw-p 00000000 00:00 0
b4c89000-b4cad000 r-xp 00000000 08:07 5194128 /lib/libm-2.12.1.so
b4cad000-b4cae000 r--p 00023000 08:07 5194128 /lib/libm-2.12.1.so
b4cae000-b4caf000 rw-p 00024000 08:07 5194128 /lib/libm-2.12.1.so
b4caf000-b4e03000 r-xp 00000000 08:07 5587283 /lib/libc-2.12.1.so
b4e03000-b4e05000 r--p 00154000 08:07 5587283 /lib/libc-2.12.1.so
b4e05000-b4e06000 rw-p 00156000 08:07
5587283 /lib/libc-2.12.1.soAborted

I have no idea how to debug this - I've rebuilt lots of stuff and still
no dice...

any help would be greatly appreciated
--
Iain Buchanan <iaindb at netspace dot net dot au>

Non-Reciprocal Laws of Expectations:
Negative expectations yield negative results.
Positive expectations yield negative results.
 
Old 10-25-2010, 04:55 PM
Nikos Chantziaras
 
Default vmware - help

On 10/25/2010 08:37 AM, Iain Buchanan wrote:

Hi all, looking for some serious vmware debugging help! I've had
vmware-workstation working for ages, but sometime this year (ok I use it
sporadically!) it's stopped. I don't know if its the old GTK issue or
what. No google searches has found anything similar, although I've
tried a lot of suggestions I found anyway. Most recently I've
recompiled the kernel, modules and workstation.
[...]


Not what you asked for, but my advise is to upgrade to a newer version
of Workstation :P 7.1.2 is the current version (and it's in the
"vmware" overlay.)
 
Old 10-25-2010, 05:05 PM
Neil Bothwick
 
Default vmware - help

On Mon, 25 Oct 2010 19:55:53 +0300, Nikos Chantziaras wrote:

> Not what you asked for, but my advise is to upgrade to a newer version
> of Workstation :P 7.1.2 is the current version (and it's in the
> "vmware" overlay.)

$100+tax is a lot to pay to upgrade something you only use sporadically.


--
Neil Bothwick

If it's tourist season, why can't we shoot them?
 
Old 10-25-2010, 09:02 PM
Alan McKinnon
 
Default vmware - help

Apparently, though unproven, at 19:05 on Monday 25 October 2010, Neil Bothwick
did opine thusly:

> On Mon, 25 Oct 2010 19:55:53 +0300, Nikos Chantziaras wrote:
> > Not what you asked for, but my advise is to upgrade to a newer version
> > of Workstation :P 7.1.2 is the current version (and it's in the
> > "vmware" overlay.)
>
> $100+tax is a lot to pay to upgrade something you only use sporadically.

This is also not the kind of solution you wanted, but I got fed up with the
eternal bullshit of dealing with vmware. All that nonsense with aany-any not
actually building with a kernel more recent than $X months where X is always
kinda large.....

Installed VirtualBox. Build/get new appliance if necessary. All issues sorted.


--
alan dot mckinnon at gmail dot com
 
Old 10-25-2010, 09:21 PM
Mark Knecht
 
Default vmware - help

On Sun, Oct 24, 2010 at 10:37 PM, Iain Buchanan <iaindb@netspace.net.au> wrote:
> Hi all, looking for some serious vmware debugging help! *I've had
> vmware-workstation working for ages, but sometime this year (ok I use it
> sporadically!) it's stopped. *I don't know if its the old GTK issue or
> what. *No google searches has found anything similar, although I've
> tried a lot of suggestions I found anyway. *Most recently I've
> recompiled the kernel, modules and workstation.
>
> I currently using workstation 6.5.4.246459 with tuxonice sources 2.6.35
> and modules 1.0.0.25-r1
<SNIP>

If you have working VMWare images then you might (in the short term -
until you solve this problem) get the VMWare Player and use it to run
what you need right now.

I found that once I had set up a few Windows images I didn't need
Workstation anymore. True, it has some nice features, but I wasn't
using them.

I use the Pentoo overlay for my copy of the Player. I'm sure it's
available elsewhere.

Cheers,
Mark
 
Old 10-25-2010, 09:50 PM
Adam Carter
 
Default vmware - help

My principle for using vmware on Gentoo is; use the latest vmware, do not use the latest kernel.

I'm using Workstation 7.1.2, which works well with 2.6.34, also works with 2.6.35 (but wants to rebuild one kernel module every time it runs, which I havent tried to fix).
 
Old 10-26-2010, 01:51 AM
Iain Buchanan
 
Default vmware - help

Adam Carter <adamcarter3 <at> gmail.com> writes:

>
> My principle for using vmware on Gentoo is; use the latest vmware, do not use
the latest kernel.I'm using Workstation 7.1.2, which works well with 2.6.34,
also works with 2.6.35 (but wants to rebuild one kernel module every time it
runs, which I havent tried to fix).

Hi,

thanks for the suggestions - unfortunately I have to use it since we've started
giving VMWare images out internally for service guys to get software updates
easily. And I'm also asking work to pay for an upgrade.


I just tried 7.1.2 and I get similar results :/

$ vmware
*** glibc detected *** vmware: malloc(): memory corruption: 0x08fa63a0 ***

(it hangs - ctrl-c to kill it) or:

$ VMWARE_USE_SHIPPED_GTK=force vmware
*** glibc detected *** vmware: malloc(): memory corruption: 0x0886b3a0 ***

(it hangs again), or:

$ vmware-netcfg # (and after the password is entered):
vmware-netcfg: malloc.c:3096: sYSMALLOc: Assertion `(old_top == (((mbinptr)
(((char *) &((av)->bins[((1) - 1) * 2])) - __builtin_offsetof (struct
malloc_chunk, fd)))) && old_size == 0) || ((unsigned long) (old_size) >=
(unsigned long)((((__builtin_offsetof (struct malloc_chunk, fd_nextsize))+((2 *
(sizeof(size_t))) - 1)) & ~((2 * (sizeof(size_t))) - 1))) && ((old_top)->size &
0x1) && ((unsigned long)old_end & pagemask) == 0)' failed.

I think this is indicating some problem with my system, but what?

Behaviour is identical with a fresh user.

(sorry about the gmane reply, deleted the originals! gmane seems to think a
mixed-quote reply is top posting - bah)

thanks
Iain.
 
Old 10-27-2010, 04:02 PM
"J. Roeleveld"
 
Default vmware - help

On Monday 25 October 2010 23:02:32 Alan McKinnon wrote:
> Apparently, though unproven, at 19:05 on Monday 25 October 2010, Neil
> Bothwick
>
> did opine thusly:
> > On Mon, 25 Oct 2010 19:55:53 +0300, Nikos Chantziaras wrote:
> > > Not what you asked for, but my advise is to upgrade to a newer version
> > > of Workstation :P 7.1.2 is the current version (and it's in the
> > > "vmware" overlay.)
> >
> > $100+tax is a lot to pay to upgrade something you only use sporadically.
>
> This is also not the kind of solution you wanted, but I got fed up with the
> eternal bullshit of dealing with vmware. All that nonsense with aany-any
> not actually building with a kernel more recent than $X months where X is
> always kinda large.....
>
> Installed VirtualBox. Build/get new appliance if necessary. All issues
> sorted.

Or simply convert the images from VMWare to VirtualBox (takes some effort, but
is doable...)
 
Old 10-27-2010, 10:16 PM
Mick
 
Default vmware - help

On Monday 25 October 2010 22:02:32 Alan McKinnon wrote:
> Apparently, though unproven, at 19:05 on Monday 25 October 2010, Neil
> Bothwick
>
> did opine thusly:
> > On Mon, 25 Oct 2010 19:55:53 +0300, Nikos Chantziaras wrote:
> > > Not what you asked for, but my advise is to upgrade to a newer version
> > > of Workstation :P 7.1.2 is the current version (and it's in the
> > > "vmware" overlay.)
> >
> > $100+tax is a lot to pay to upgrade something you only use sporadically.
>
> This is also not the kind of solution you wanted, but I got fed up with the
> eternal bullshit of dealing with vmware. All that nonsense with aany-any
> not actually building with a kernel more recent than $X months where X is
> always kinda large.....
>
> Installed VirtualBox. Build/get new appliance if necessary. All issues
> sorted.

+1

The binary is particularly quick & easy to install & set up (for personal
use).
--
Regards,
Mick
 

Thread Tools




All times are GMT. The time now is 07:31 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org